#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( lib )
tde_conditional_add_subdirectory( WITH_LANGUAGE_ADA ada )
tde_conditional_add_subdirectory( WITH_LANGUAGE_BASH bash )
tde_conditional_add_subdirectory( WITH_LANGUAGE_CPP cpp )
tde_conditional_add_subdirectory( WITH_LANGUAGE_FORTRAN fortran )
tde_conditional_add_subdirectory( WITH_LANGUAGE_JAVA java )
tde_conditional_add_subdirectory( WITH_LANGUAGE_CSHARP csharp )
tde_conditional_add_subdirectory( WITH_LANGUAGE_PASCAL pascal )
tde_conditional_add_subdirectory( WITH_LANGUAGE_PERL perl )
tde_conditional_add_subdirectory( WITH_LANGUAGE_PHP php )
tde_conditional_add_subdirectory( WITH_LANGUAGE_PYTHON python )
tde_conditional_add_subdirectory( WITH_LANGUAGE_RUBY ruby )
tde_conditional_add_subdirectory( WITH_LANGUAGE_SQL sql )
